//Source file: CopyFolderListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the CopyFolder activity object.<BR>
 *
 */
public interface CopyFolderListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the copyFolderRes() method on 
    * the callback interface.
    *
    * @param  copyFolderResEvent  Reference to a CopyFolderResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCopyFolderResEvent(org.csapi.jr.se.mmm.CopyFolderResEvent copyFolderResEvent);


   /**
    * Called due to a Gateway initiated call to the copyFolderErr() method on 
    * the callback interface.
    *
    * @param  copyFolderErrEvent  Reference to a CopyFolderErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCopyFolderErrEvent(org.csapi.jr.se.mmm.CopyFolderErrEvent copyFolderErrEvent);


}
