//Source file: CopyMessage.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a CopyMessage activity object.<BR>
 *
 */
public interface CopyMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the CopyMessage.
     *
     * @return  A reference to the Mailbox responsible for creation of the CopyMessage.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a CopyMessageListener which is interested in events generated by the CopyMessage.
     *
     * @param  copyMessageListener  A reference to the CopyMessageListener which is to be added as
     *        a listener.
     */
    void addCopyMessageListener(org.csapi.jr.se.mmm.CopyMessageListener copyMessageListener);

    /**
     * Removes a CopyMessageListener which is no longer interested events generated by the CopyMessage.
     *
     * @param  copyMessageListener  A reference to the CopyMessageListener which is to be removed as
     *        a listener.
     */
    void removeCopyMessageListener(org.csapi.jr.se.mmm.CopyMessageListener copyMessageListener);

    /**
     * Invokes the copyMessageReq() method on the Parlay Gateway.
     */
    void copyMessageReq(
           java.lang.String                fromFolderID,
           java.lang.String                toFolderID,
           java.lang.String                messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
