//Source file: CreateFolderResEvent.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the createFolderRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class CreateFolderResEvent extends java.util.EventObject {

    /**
     * Constructor for the CreateFolderResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CreateFolderResEvent(java.lang.Object source,
        java.lang.String                folderID) {

        super(source);
      this.folderID = folderID;
 
    }

    java.lang.String                folderID;

    /**
     *  This method is used to retrieve the parameter value of 'folderID' passed up
     *  from the Gateway in it's call to the createFolderRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'folderID' used on creation of this event.
     */
    public java.lang.String getFolderID() {

        return this.folderID;
    }
       
}

