//Source file: DeleteFolderListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the DeleteFolder activity object.<BR>
 *
 */
public interface DeleteFolderListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the deleteFolderRes() method on 
    * the callback interface.
    *
    * @param  deleteFolderResEvent  Reference to a DeleteFolderResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDeleteFolderResEvent(org.csapi.jr.se.mmm.DeleteFolderResEvent deleteFolderResEvent);


   /**
    * Called due to a Gateway initiated call to the deleteFolderErr() method on 
    * the callback interface.
    *
    * @param  deleteFolderErrEvent  Reference to a DeleteFolderErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDeleteFolderErrEvent(org.csapi.jr.se.mmm.DeleteFolderErrEvent deleteFolderErrEvent);


}
