//Source file: DeleteMessageListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the DeleteMessage activity object.<BR>
 *
 */
public interface DeleteMessageListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the deleteMessageRes() method on 
    * the callback interface.
    *
    * @param  deleteMessageResEvent  Reference to a DeleteMessageResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDeleteMessageResEvent(org.csapi.jr.se.mmm.DeleteMessageResEvent deleteMessageResEvent);


   /**
    * Called due to a Gateway initiated call to the deleteMessageErr() method on 
    * the callback interface.
    *
    * @param  deleteMessageErrEvent  Reference to a DeleteMessageErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDeleteMessageErrEvent(org.csapi.jr.se.mmm.DeleteMessageErrEvent deleteMessageErrEvent);


}
