//Source file: DeliveryTime.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Tagged Choice of Data Elements that specifies when the message shall be delivered.
 *
 */
public final class DeliveryTime implements java.io.Serializable {

    private DeliveryTimeType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new DeliveryTime.
     * Tagged choice of data elements always have empty constructors
     */ 
    public DeliveryTime() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a DeliveryTimeType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public DeliveryTimeType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a DeliveryTime
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getDeliveryTime() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DeliveryTimeType.MMM_DELIVERY_TIME) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a DeliveryTime
     * 
     * @param value a java.lang.String value
     */
    public void setDeliveryTime(java.lang.String value) {
        _discriminator = DeliveryTimeType.MMM_DELIVERY_TIME;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a DeliveryTimeType value 
     */ 
    public void setUndefined(DeliveryTimeType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof DeliveryTime)) {
            return false;
        } else {
            DeliveryTime deliveryTime= (DeliveryTime)o;
            if(!(this._object.equals(deliveryTime._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(deliveryTime._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DeliveryTime

