//Source file: GenericHeaderField.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Specifies the name and value of a header field. 
 * 
 */
public final class GenericHeaderField implements java.io.Serializable {

    private String fieldName;
    private String fieldValue;

    /**
     * Creates a new GenericHeaderField instance.
     */
    public GenericHeaderField () {}

    /**
     * Creates a new GenericHeaderField instance.
     * @param _fieldName   Contains the field name of an RFC822 header field.
     * @param _fieldValue   Contains the field body of a RFC822 header field.
     */
    public GenericHeaderField (String _fieldName, String _fieldValue) {

        this.fieldName = _fieldName;
        this.fieldValue = _fieldValue;
    }

    /**
     * This method returns a fieldName.
     * 
     * @return a String value
     */
    public String getFieldName() {
        return fieldName;
    }

    /**
     * This method returns a fieldValue.
     * 
     * @return a String value
     */
    public String getFieldValue() {
        return fieldValue;
    }


    /**
     * This method sets a fieldName.
     */ 
    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    /**
     * This method sets a fieldValue.
     */ 
    public void setFieldValue(String fieldValue) {
        this.fieldValue = fieldValue;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof GenericHeaderField)) {
            return false;
        } 
        GenericHeaderField genericHeaderField = (GenericHeaderField) o;
        if ((this.fieldName != null) && (genericHeaderField.fieldName != null)) {
            if(!(this.fieldName.equals(genericHeaderField.fieldName)))  {
                return false;
            }
        }
        if ((this.fieldValue != null) && (genericHeaderField.fieldValue != null)) {
            if(!(this.fieldValue.equals(genericHeaderField.fieldValue)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // GenericHeaderField

