//Source file: GetFolderInfoProperties.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetFolderInfoProperties activity object.<BR>
 *
 */
public interface GetFolderInfoProperties extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetFolderInfoProperties.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetFolderInfoProperties.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetFolderInfoPropertiesListener which is interested in events generated by the GetFolderInfoProperties.
     *
     * @param  getFolderInfoPropertiesListener  A reference to the GetFolderInfoPropertiesListener which is to be added as
     *        a listener.
     */
    void addGetFolderInfoPropertiesListener(org.csapi.jr.se.mmm.GetFolderInfoPropertiesListener getFolderInfoPropertiesListener);

    /**
     * Removes a GetFolderInfoPropertiesListener which is no longer interested events generated by the GetFolderInfoProperties.
     *
     * @param  getFolderInfoPropertiesListener  A reference to the GetFolderInfoPropertiesListener which is to be removed as
     *        a listener.
     */
    void removeGetFolderInfoPropertiesListener(org.csapi.jr.se.mmm.GetFolderInfoPropertiesListener getFolderInfoPropertiesListener);

    /**
     * Invokes the getFolderInfoPropertiesReq() method on the Parlay Gateway.
     */
    void getFolderInfoPropertiesReq(
           java.lang.String                folderID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException;
}
