//Source file: GetFolderInfoPropertiesResEvent.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getFolderInfoPropertiesRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetFolderInfoPropertiesResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetFolderInfoPropertiesResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetFolderInfoPropertiesResEvent(java.lang.Object source,
        java.lang.String                folderID,
        org.csapi.jr.se.mmm.FolderInfoProperty[] returnedProperties) {

        super(source);
      this.folderID = folderID;
      this.returnedProperties = returnedProperties;
 
    }

    java.lang.String                folderID;

    /**
     *  This method is used to retrieve the parameter value of 'folderID' passed up
     *  from the Gateway in it's call to the getFolderInfoPropertiesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'folderID' used on creation of this event.
     */
    public java.lang.String getFolderID() {

        return this.folderID;
    }
       
    org.csapi.jr.se.mmm.FolderInfoProperty[] returnedProperties;

    /**
     *  This method is used to retrieve the parameter value of 'returnedProperties' passed up
     *  from the Gateway in it's call to the getFolderInfoPropertiesRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'returnedProperties' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.FolderInfoProperty[] getReturnedProperties() {

        return this.returnedProperties;
    }
       
}

