//Source file: GetFoldersListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetFolders activity object.<BR>
 *
 */
public interface GetFoldersListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getFoldersRes() method on 
    * the callback interface.
    *
    * @param  getFoldersResEvent  Reference to a GetFoldersResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetFoldersResEvent(org.csapi.jr.se.mmm.GetFoldersResEvent getFoldersResEvent);


   /**
    * Called due to a Gateway initiated call to the getFoldersErr() method on 
    * the callback interface.
    *
    * @param  getFoldersErrEvent  Reference to a GetFoldersErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetFoldersErrEvent(org.csapi.jr.se.mmm.GetFoldersErrEvent getFoldersErrEvent);


}
