//Source file: GetFullMessage.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetFullMessage activity object.<BR>
 *
 */
public interface GetFullMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetFullMessage.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetFullMessage.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetFullMessageListener which is interested in events generated by the GetFullMessage.
     *
     * @param  getFullMessageListener  A reference to the GetFullMessageListener which is to be added as
     *        a listener.
     */
    void addGetFullMessageListener(org.csapi.jr.se.mmm.GetFullMessageListener getFullMessageListener);

    /**
     * Removes a GetFullMessageListener which is no longer interested events generated by the GetFullMessage.
     *
     * @param  getFullMessageListener  A reference to the GetFullMessageListener which is to be removed as
     *        a listener.
     */
    void removeGetFullMessageListener(org.csapi.jr.se.mmm.GetFullMessageListener getFullMessageListener);

    /**
     * Invokes the getFullMessageReq() method on the Parlay Gateway.
     */
    void getFullMessageReq(
           java.lang.String                folderID,
           java.lang.String                messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException;
}
