//Source file: GetMessageBodyParts.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a GetMessageBodyParts activity object.<BR>
 *
 */
public interface GetMessageBodyParts extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the GetMessageBodyParts.
     *
     * @return  A reference to the Mailbox responsible for creation of the GetMessageBodyParts.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a GetMessageBodyPartsListener which is interested in events generated by the GetMessageBodyParts.
     *
     * @param  getMessageBodyPartsListener  A reference to the GetMessageBodyPartsListener which is to be added as
     *        a listener.
     */
    void addGetMessageBodyPartsListener(org.csapi.jr.se.mmm.GetMessageBodyPartsListener getMessageBodyPartsListener);

    /**
     * Removes a GetMessageBodyPartsListener which is no longer interested events generated by the GetMessageBodyParts.
     *
     * @param  getMessageBodyPartsListener  A reference to the GetMessageBodyPartsListener which is to be removed as
     *        a listener.
     */
    void removeGetMessageBodyPartsListener(org.csapi.jr.se.mmm.GetMessageBodyPartsListener getMessageBodyPartsListener);

    /**
     * Invokes the getMessageBodyPartsReq() method on the Parlay Gateway.
     */
    void getMessageBodyPartsReq(
           java.lang.String                folderID,
           java.lang.String                messageID,
           java.lang.String[]              partIDs)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException,
       org.csapi.jr.se.mmm.MmmInvalidPartIdException;
}
