//Source file: GetMessageContentListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetMessageContent activity object.<BR>
 *
 */
public interface GetMessageContentListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getMessageContentRes() method on 
    * the callback interface.
    *
    * @param  getMessageContentResEvent  Reference to a GetMessageContentResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageContentResEvent(org.csapi.jr.se.mmm.GetMessageContentResEvent getMessageContentResEvent);


   /**
    * Called due to a Gateway initiated call to the getMessageContentErr() method on 
    * the callback interface.
    *
    * @param  getMessageContentErrEvent  Reference to a GetMessageContentErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageContentErrEvent(org.csapi.jr.se.mmm.GetMessageContentErrEvent getMessageContentErrEvent);


}
