//Source file: GetMessageContentResEvent.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMessageContentRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetMessageContentResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetMessageContentResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetMessageContentResEvent(java.lang.Object source,
        java.lang.String                contentType,
        java.lang.String                contentTransferEncoding,
        byte[]                          content) {

        super(source);
      this.contentType = contentType;
      this.contentTransferEncoding = contentTransferEncoding;
      this.content = content;
 
    }

    java.lang.String                contentType;

    /**
     *  This method is used to retrieve the parameter value of 'contentType' passed up
     *  from the Gateway in it's call to the getMessageContentRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'contentType' used on creation of this event.
     */
    public java.lang.String getContentType() {

        return this.contentType;
    }
       
    java.lang.String                contentTransferEncoding;

    /**
     *  This method is used to retrieve the parameter value of 'contentTransferEncoding' passed up
     *  from the Gateway in it's call to the getMessageContentRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'contentTransferEncoding' used on creation of this event.
     */
    public java.lang.String getContentTransferEncoding() {

        return this.contentTransferEncoding;
    }
       
    byte[]                          content;

    /**
     *  This method is used to retrieve the parameter value of 'content' passed up
     *  from the Gateway in it's call to the getMessageContentRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'content' used on creation of this event.
     */
    public byte[] getContent() {

        return this.content;
    }
       
}

