//Source file: GetMessageHeadersResEvent.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMessageHeadersRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetMessageHeadersResEvent extends java.util.EventObject {

    /**
     * Constructor for the GetMessageHeadersResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetMessageHeadersResEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.MessageHeaderField[] headers) {

        super(source);
      this.headers = headers;
 
    }

    org.csapi.jr.se.mmm.MessageHeaderField[] headers;

    /**
     *  This method is used to retrieve the parameter value of 'headers' passed up
     *  from the Gateway in it's call to the getMessageHeadersRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'headers' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessageHeaderField[] getHeaders() {

        return this.headers;
    }
       
}

