//Source file: GetMessageInfoPropertiesListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the GetMessageInfoProperties activity object.<BR>
 *
 */
public interface GetMessageInfoPropertiesListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getMessageInfoPropertiesRes() method on 
    * the callback interface.
    *
    * @param  getMessageInfoPropertiesResEvent  Reference to a GetMessageInfoPropertiesResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageInfoPropertiesResEvent(org.csapi.jr.se.mmm.GetMessageInfoPropertiesResEvent getMessageInfoPropertiesResEvent);


   /**
    * Called due to a Gateway initiated call to the getMessageInfoPropertiesErr() method on 
    * the callback interface.
    *
    * @param  getMessageInfoPropertiesErrEvent  Reference to a GetMessageInfoPropertiesErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMessageInfoPropertiesErrEvent(org.csapi.jr.se.mmm.GetMessageInfoPropertiesErrEvent getMessageInfoPropertiesErrEvent);

}
