//Source file: ListMessages.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a ListMessages activity object.<BR>
 *
 */
public interface ListMessages extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the ListMessages.
     *
     * @return  A reference to the Mailbox responsible for creation of the ListMessages.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a ListMessagesListener which is interested in events generated by the ListMessages.
     *
     * @param  listMessagesListener  A reference to the ListMessagesListener which is to be added as
     *        a listener.
     */
    void addListMessagesListener(org.csapi.jr.se.mmm.ListMessagesListener listMessagesListener);

    /**
     * Removes a ListMessagesListener which is no longer interested events generated by the ListMessages.
     *
     * @param  listMessagesListener  A reference to the ListMessagesListener which is to be removed as
     *        a listener.
     */
    void removeListMessagesListener(org.csapi.jr.se.mmm.ListMessagesListener listMessagesListener);

    /**
     * Invokes the listMessagesReq() method on the Parlay Gateway.
     */
    void listMessagesReq(
           java.lang.String                folderID,
           org.csapi.jr.se.mmm.ListMessagesCriteria criteria,
           boolean                         reset)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidFolderIdException,
       org.csapi.jr.se.InvalidCriteriaException;
}
