//Source file: MessageHeaderField.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Carries the contents of one message header field. 
 *
 */
public final class MessageHeaderField implements java.io.Serializable {

    private MessageHeaderFieldType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new MessageHeaderField.
     * Tagged choice of data elements always have empty constructors
     */ 
    public MessageHeaderField() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a MessageHeaderFieldType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public MessageHeaderFieldType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a DateSent
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getDateSent() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_DATE_SENT) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a DateSent
     * 
     * @param value a java.lang.String value
     */
    public void setDateSent(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_DATE_SENT;
        _object = value;
    }

    /**
     * This method returns a From
     * 
     * @return  a org.csapi.jr.se.Address[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.Address[] getFrom() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_SENT_FROM) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.Address[]) _object);
    }

    /**
     * This method sets a From
     * 
     * @param value a org.csapi.jr.se.Address[] value
     */
    public void setFrom(org.csapi.jr.se.Address[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_SENT_FROM;
        _object = value;
    }

    /**
     * This method returns a Sender
     * 
     * @return  a org.csapi.jr.se.Address value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.Address getSender() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_SENDER) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.Address) _object);
    }

    /**
     * This method sets a Sender
     * 
     * @param value a org.csapi.jr.se.Address value
     */
    public void setSender(org.csapi.jr.se.Address value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_SENDER;
        _object = value;
    }

    /**
     * This method returns a ReplyTo
     * 
     * @return  a org.csapi.jr.se.Address[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.Address[] getReplyTo() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_REPLY_TO) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.Address[]) _object);
    }

    /**
     * This method sets a ReplyTo
     * 
     * @param value a org.csapi.jr.se.Address[] value
     */
    public void setReplyTo(org.csapi.jr.se.Address[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_REPLY_TO;
        _object = value;
    }

    /**
     * This method returns a To
     * 
     * @return  a org.csapi.jr.se.Address[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.Address[] getTo() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_SENT_TO) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.Address[]) _object);
    }

    /**
     * This method sets a To
     * 
     * @param value a org.csapi.jr.se.Address[] value
     */
    public void setTo(org.csapi.jr.se.Address[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_SENT_TO;
        _object = value;
    }

    /**
     * This method returns a Cc
     * 
     * @return  a org.csapi.jr.se.Address[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.Address[] getCc() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_CC_TO) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.Address[]) _object);
    }

    /**
     * This method sets a Cc
     * 
     * @param value a org.csapi.jr.se.Address[] value
     */
    public void setCc(org.csapi.jr.se.Address[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_CC_TO;
        _object = value;
    }

    /**
     * This method returns a Bcc
     * 
     * @return  a org.csapi.jr.se.Address[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.Address[] getBcc() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_BCC_TO) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.Address[]) _object);
    }

    /**
     * This method sets a Bcc
     * 
     * @param value a org.csapi.jr.se.Address[] value
     */
    public void setBcc(org.csapi.jr.se.Address[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_BCC_TO;
        _object = value;
    }

    /**
     * This method returns a RFC822MessageID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getRFC822MessageID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_RFC822_MESSAGE_ID) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a RFC822MessageID
     * 
     * @param value a java.lang.String value
     */
    public void setRFC822MessageID(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_RFC822_MESSAGE_ID;
        _object = value;
    }

    /**
     * This method returns a InReplyTo
     * 
     * @return  a String[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public String[] getInReplyTo() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_IN_REPLY_TO) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((String[]) _object);
    }

    /**
     * This method sets a InReplyTo
     * 
     * @param value a String[] value
     */
    public void setInReplyTo(String[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_IN_REPLY_TO;
        _object = value;
    }

    /**
     * This method returns a References
     * 
     * @return  a String[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public String[] getReferences() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_REFERENCES) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((String[]) _object);
    }

    /**
     * This method sets a References
     * 
     * @param value a String[] value
     */
    public void setReferences(String[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_REFERENCES;
        _object = value;
    }

    /**
     * This method returns a Subject
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getSubject() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_SUBJECT) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a Subject
     * 
     * @param value a java.lang.String value
     */
    public void setSubject(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_SUBJECT;
        _object = value;
    }

    /**
     * This method returns a Comments
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getComments() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_COMMENTS) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a Comments
     * 
     * @param value a java.lang.String value
     */
    public void setComments(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_COMMENTS;
        _object = value;
    }

    /**
     * This method returns a Keywords
     * 
     * @return  a String[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public String[] getKeywords() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_KEYWORDS) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((String[]) _object);
    }

    /**
     * This method sets a Keywords
     * 
     * @param value a String[] value
     */
    public void setKeywords(String[] value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_KEYWORDS;
        _object = value;
    }

    /**
     * This method returns a TraceField
     * 
     * @return  a org.csapi.jr.se.mmm.GenericHeaderField value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.GenericHeaderField getTraceField() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_TRACE_FIELD) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.GenericHeaderField) _object);
    }

    /**
     * This method sets a TraceField
     * 
     * @param value a org.csapi.jr.se.mmm.GenericHeaderField value
     */
    public void setTraceField(org.csapi.jr.se.mmm.GenericHeaderField value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_TRACE_FIELD;
        _object = value;
    }

    /**
     * This method returns a ResentField
     * 
     * @return  a org.csapi.jr.se.mmm.GenericHeaderField value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.GenericHeaderField getResentField() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_RESENT_FIELD) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.GenericHeaderField) _object);
    }

    /**
     * This method sets a ResentField
     * 
     * @param value a org.csapi.jr.se.mmm.GenericHeaderField value
     */
    public void setResentField(org.csapi.jr.se.mmm.GenericHeaderField value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_RESENT_FIELD;
        _object = value;
    }

    /**
     * This method returns a MimeVersion
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMimeVersion() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_MIME_VERSION) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MimeVersion
     * 
     * @param value a java.lang.String value
     */
    public void setMimeVersion(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_MIME_VERSION;
        _object = value;
    }

    /**
     * This method returns a MimeContent
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMimeContent() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_MIME_CONTENT) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MimeContent
     * 
     * @param value a java.lang.String value
     */
    public void setMimeContent(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_MIME_CONTENT;
        _object = value;
    }

    /**
     * This method returns a MimeEncoding
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMimeEncoding() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_MIME_ENCODING) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MimeEncoding
     * 
     * @param value a java.lang.String value
     */
    public void setMimeEncoding(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_MIME_ENCODING;
        _object = value;
    }

    /**
     * This method returns a MimeID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMimeID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_MIME_ID) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MimeID
     * 
     * @param value a java.lang.String value
     */
    public void setMimeID(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_MIME_ID;
        _object = value;
    }

    /**
     * This method returns a MimeDescription
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMimeDescription() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_MIME_DESCRIPTION) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MimeDescription
     * 
     * @param value a java.lang.String value
     */
    public void setMimeDescription(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_MIME_DESCRIPTION;
        _object = value;
    }

    /**
     * This method returns a MimeDisposition
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getMimeDisposition() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_MIME_DISPOSITION) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a MimeDisposition
     * 
     * @param value a java.lang.String value
     */
    public void setMimeDisposition(java.lang.String value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_MIME_DISPOSITION;
        _object = value;
    }

    /**
     * This method returns a MimeExtensionField
     * 
     * @return  a org.csapi.jr.se.mmm.GenericHeaderField value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.GenericHeaderField getMimeExtensionField() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_MIME_EXTENSION_FIELD) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.GenericHeaderField) _object);
    }

    /**
     * This method sets a MimeExtensionField
     * 
     * @param value a org.csapi.jr.se.mmm.GenericHeaderField value
     */
    public void setMimeExtensionField(org.csapi.jr.se.mmm.GenericHeaderField value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_MIME_EXTENSION_FIELD;
        _object = value;
    }

    /**
     * This method returns a ExtensionField
     * 
     * @return  a org.csapi.jr.se.mmm.GenericHeaderField value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.GenericHeaderField getExtensionField() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_EXTENSION_FIELD) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.GenericHeaderField) _object);
    }

    /**
     * This method sets a ExtensionField
     * 
     * @param value a org.csapi.jr.se.mmm.GenericHeaderField value
     */
    public void setExtensionField(org.csapi.jr.se.mmm.GenericHeaderField value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_EXTENSION_FIELD;
        _object = value;
    }

    /**
     * This method returns a Priority
     * 
     * @return  a org.csapi.jr.se.mmm.MessagePriority value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.mmm.MessagePriority getPriority() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != MessageHeaderFieldType.MESSAGE_PRIORITY) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.mmm.MessagePriority) _object);
    }

    /**
     * This method sets a Priority
     * 
     * @param value a org.csapi.jr.se.mmm.MessagePriority value
     */
    public void setPriority(org.csapi.jr.se.mmm.MessagePriority value) {
        _discriminator = MessageHeaderFieldType.MESSAGE_PRIORITY;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a MessageHeaderFieldType value 
     */ 
    public void setUndefined(MessageHeaderFieldType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof MessageHeaderField)) {
            return false;
        } else {
            MessageHeaderField messageHeaderField= (MessageHeaderField)o;
            if(!(this._object.equals(messageHeaderField._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(messageHeaderField._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessageHeaderField

