//Source file: MessagingError.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * A set of general error identifiers to include in Err methods.
 *
 */
public final class MessagingError implements java.io.Serializable {

    private int _value;
    private static int _size = 22;
    private static MessagingError[] _array = new MessagingError[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private MessagingError(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * Undefined
     */
    public static final int _MMM_ERROR_UNDEFINED =  0;

    /**
     * Undefined
     */
    public static final MessagingError MMM_ERROR_UNDEFINED = new MessagingError(_MMM_ERROR_UNDEFINED);

    /**
     * Authentication Information is not valid
     */
    public static final int _MMM_ERROR_INVALID_AUTHENTICATION_INFORMATION =  1;

    /**
     * Authentication Information is not valid
     */
    public static final MessagingError MMM_ERROR_INVALID_AUTHENTICATION_INFORMATION = new MessagingError(_MMM_ERROR_INVALID_AUTHENTICATION_INFORMATION);

    /**
     * Chosen Mailbox Address is invalid
     */
    public static final int _MMM_ERROR_INVALID_MAILBOX =  2;

    /**
     * Chosen Mailbox Address is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_MAILBOX = new MessagingError(_MMM_ERROR_INVALID_MAILBOX);

    /**
     * The delivery mechanism specified is invalid or is not supported
     */
    public static final int _MMM_ERROR_INVALID_DELIVERY_TYPE =  3;

    /**
     * The delivery mechanism specified is invalid or is not supported
     */
    public static final MessagingError MMM_ERROR_INVALID_DELIVERY_TYPE = new MessagingError(_MMM_ERROR_INVALID_DELIVERY_TYPE);

    /**
     * The maximum size of a message has been exceeded
     */
    public static final int _MMM_ERROR_MAX_MESSAGE_SIZE_EXCEEDED =  4;

    /**
     * The maximum size of a message has been exceeded
     */
    public static final MessagingError MMM_ERROR_MAX_MESSAGE_SIZE_EXCEEDED = new MessagingError(_MMM_ERROR_MAX_MESSAGE_SIZE_EXCEEDED);

    /**
     * The folder ID is invalid
     */
    public static final int _MMM_ERROR_INVALID_FOLDER_ID =  5;

    /**
     * The folder ID is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_FOLDER_ID = new MessagingError(_MMM_ERROR_INVALID_FOLDER_ID);

    /**
     * The message ID is invalid
     */
    public static final int _MMM_ERROR_INVALID_MESSAGE_ID =  6;

    /**
     * The message ID is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_MESSAGE_ID = new MessagingError(_MMM_ERROR_INVALID_MESSAGE_ID);

    /**
     * The part ID is invalid
     */
    public static final int _MMM_ERROR_INVALID_PART_ID =  7;

    /**
     * The part ID is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_PART_ID = new MessagingError(_MMM_ERROR_INVALID_PART_ID);

    /**
     * The address type does not match the message delivery type
     */
    public static final int _MMM_ERROR_DELIVERY_TYPE_ADDRESS_TYPE_MISMATCH =  8;

    /**
     * The address type does not match the message delivery type
     */
    public static final MessagingError MMM_ERROR_DELIVERY_TYPE_ADDRESS_TYPE_MISMATCH = new MessagingError(_MMM_ERROR_DELIVERY_TYPE_ADDRESS_TYPE_MISMATCH);

    /**
     * The message format does not match the message delivery type
     */
    public static final int _MMM_ERROR_DELIVERY_TYPE_MESSAGE_TYPE_MISMATCH =  9;

    /**
     * The message format does not match the message delivery type
     */
    public static final MessagingError MMM_ERROR_DELIVERY_TYPE_MESSAGE_TYPE_MISMATCH = new MessagingError(_MMM_ERROR_DELIVERY_TYPE_MESSAGE_TYPE_MISMATCH);

    /**
     * The requested delivery time is invalid
     */
    public static final int _MMM_ERROR_INVALID_DELIVERY_TIME =  10;

    /**
     * The requested delivery time is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_DELIVERY_TIME = new MessagingError(_MMM_ERROR_INVALID_DELIVERY_TIME);

    /**
     * The requested validity time is invalid
     */
    public static final int _MMM_ERROR_INVALID_VALIDITY_TIME =  11;

    /**
     * The requested validity time is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_VALIDITY_TIME = new MessagingError(_MMM_ERROR_INVALID_VALIDITY_TIME);

    /**
     * The maximum size of the subject field has been exceeded
     */
    public static final int _MMM_ERROR_MAX_SUBJECT_SIZE_EXCEEDED =  12;

    /**
     * The maximum size of the subject field has been exceeded
     */
    public static final MessagingError MMM_ERROR_MAX_SUBJECT_SIZE_EXCEEDED = new MessagingError(_MMM_ERROR_MAX_SUBJECT_SIZE_EXCEEDED);

    /**
     * The BillingID is invalid
     */
    public static final int _MMM_ERROR_INVALID_ID =  13;

    /**
     * The BillingID is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_ID = new MessagingError(_MMM_ERROR_INVALID_ID);

    /**
     * The nesting level is invalid
     */
    public static final int _MMM_ERROR_INVALID_NESTING_LEVEL =  14;

    /**
     * The nesting level is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_NESTING_LEVEL = new MessagingError(_MMM_ERROR_INVALID_NESTING_LEVEL);

    /**
     * The criteria specified are invalid
     */
    public static final int _MMM_ERROR_INVALID_CRITERIA =  15;

    /**
     * The criteria specified are invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_CRITERIA = new MessagingError(_MMM_ERROR_INVALID_CRITERIA);

    /**
     * The requested information is not available, for example message status information
     */
    public static final int _MMM_ERROR_INFORMATION_NOT_AVAILABLE =  16;

    /**
     * The requested information is not available, for example message status information
     */
    public static final MessagingError MMM_ERROR_INFORMATION_NOT_AVAILABLE = new MessagingError(_MMM_ERROR_INFORMATION_NOT_AVAILABLE);

    /**
     * The message cannot be cancelled
     */
    public static final int _MMM_ERROR_CANNOT_CANCEL =  17;

    /**
     * The message cannot be cancelled
     */
    public static final MessagingError MMM_ERROR_CANNOT_CANCEL = new MessagingError(_MMM_ERROR_CANNOT_CANCEL);

    /**
     * The message header is invalid
     */
    public static final int _MMM_ERROR_INVALID_HEADER =  18;

    /**
     * The message header is invalid
     */
    public static final MessagingError MMM_ERROR_INVALID_HEADER = new MessagingError(_MMM_ERROR_INVALID_HEADER);

    /**
     * Although the sequence of method calls is allowed by the gateway, the underlying protocol cannot support it.
     */
    public static final int _MMM_INVALID_NETWORK_STATE =  19;

    /**
     * Although the sequence of method calls is allowed by the gateway, the underlying protocol cannot support it.
     */
    public static final MessagingError MMM_INVALID_NETWORK_STATE = new MessagingError(_MMM_INVALID_NETWORK_STATE);

    /**
     * The information resources used by the messaging  service are unavailable, for example due to an overload situation.
     */
    public static final int _MMM_ERROR_RESOURCE_UNAVAILABLE =  20;

    /**
     * The information resources used by the messaging  service are unavailable, for example due to an overload situation.
     */
    public static final MessagingError MMM_ERROR_RESOURCE_UNAVAILABLE = new MessagingError(_MMM_ERROR_RESOURCE_UNAVAILABLE);

    /**
     * The request has been accepted by the resource but it did not report a result.
     */
    public static final int _MMM_ERROR_RESOURCE_TIMEOUT =  21;

    /**
     * The request has been accepted by the resource but it did not report a result.
     */
    public static final MessagingError MMM_ERROR_RESOURCE_TIMEOUT = new MessagingError(_MMM_ERROR_RESOURCE_TIMEOUT);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved MessagingError object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the MessagingError object
     */
    public String getValueText() {
        switch (_value) {
            case _MMM_ERROR_UNDEFINED:
                return "MMM_ERROR_UNDEFINED";
            case _MMM_ERROR_INVALID_AUTHENTICATION_INFORMATION:
                return "MMM_ERROR_INVALID_AUTHENTICATION_INFORMATION";
            case _MMM_ERROR_INVALID_MAILBOX:
                return "MMM_ERROR_INVALID_MAILBOX";
            case _MMM_ERROR_INVALID_DELIVERY_TYPE:
                return "MMM_ERROR_INVALID_DELIVERY_TYPE";
            case _MMM_ERROR_MAX_MESSAGE_SIZE_EXCEEDED:
                return "MMM_ERROR_MAX_MESSAGE_SIZE_EXCEEDED";
            case _MMM_ERROR_INVALID_FOLDER_ID:
                return "MMM_ERROR_INVALID_FOLDER_ID";
            case _MMM_ERROR_INVALID_MESSAGE_ID:
                return "MMM_ERROR_INVALID_MESSAGE_ID";
            case _MMM_ERROR_INVALID_PART_ID:
                return "MMM_ERROR_INVALID_PART_ID";
            case _MMM_ERROR_DELIVERY_TYPE_ADDRESS_TYPE_MISMATCH:
                return "MMM_ERROR_DELIVERY_TYPE_ADDRESS_TYPE_MISMATCH";
            case _MMM_ERROR_DELIVERY_TYPE_MESSAGE_TYPE_MISMATCH:
                return "MMM_ERROR_DELIVERY_TYPE_MESSAGE_TYPE_MISMATCH";
            case _MMM_ERROR_INVALID_DELIVERY_TIME:
                return "MMM_ERROR_INVALID_DELIVERY_TIME";
            case _MMM_ERROR_INVALID_VALIDITY_TIME:
                return "MMM_ERROR_INVALID_VALIDITY_TIME";
            case _MMM_ERROR_MAX_SUBJECT_SIZE_EXCEEDED:
                return "MMM_ERROR_MAX_SUBJECT_SIZE_EXCEEDED";
            case _MMM_ERROR_INVALID_ID:
                return "MMM_ERROR_INVALID_ID";
            case _MMM_ERROR_INVALID_NESTING_LEVEL:
                return "MMM_ERROR_INVALID_NESTING_LEVEL";
            case _MMM_ERROR_INVALID_CRITERIA:
                return "MMM_ERROR_INVALID_CRITERIA";
            case _MMM_ERROR_INFORMATION_NOT_AVAILABLE:
                return "MMM_ERROR_INFORMATION_NOT_AVAILABLE";
            case _MMM_ERROR_CANNOT_CANCEL:
                return "MMM_ERROR_CANNOT_CANCEL";
            case _MMM_ERROR_INVALID_HEADER:
                return "MMM_ERROR_INVALID_HEADER";
            case _MMM_INVALID_NETWORK_STATE:
                return "MMM_INVALID_NETWORK_STATE";
            case _MMM_ERROR_RESOURCE_UNAVAILABLE:
                return "MMM_ERROR_RESOURCE_UNAVAILABLE";
            case _MMM_ERROR_RESOURCE_TIMEOUT:
                return "MMM_ERROR_RESOURCE_TIMEOUT";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 21
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static MessagingError getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MessagingError)) {
            return false;
        }
        MessagingError messagingError = (MessagingError) o; 
        if(!(this.getValue() == messagingError.getValue())) {
            return false;
        }
        if (this.hashCode() != messagingError.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MessagingError

