//Source file: NewMailboxMessageArrivedCriteria.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that specify the criteria for a New Mailbox Message Arrived event.
 * 
 */
public final class NewMailboxMessageArrivedCriteria implements java.io.Serializable {

    private String mailboxID;
    private String authenticationInfo;

    /**
     * Creates a new NewMailboxMessageArrivedCriteria instance.
     */
    public NewMailboxMessageArrivedCriteria () {}

    /**
     * Creates a new NewMailboxMessageArrivedCriteria instance.
     * @param _mailboxID   
     * @param _authenticationInfo   
     */
    public NewMailboxMessageArrivedCriteria (String _mailboxID, String _authenticationInfo) {

        this.mailboxID = _mailboxID;
        this.authenticationInfo = _authenticationInfo;
    }

    /**
     * This method returns a mailboxID.
     * 
     * @return a String value
     */
    public String getMailboxID() {
        return mailboxID;
    }

    /**
     * This method returns a authenticationInfo.
     * 
     * @return a String value
     */
    public String getAuthenticationInfo() {
        return authenticationInfo;
    }


    /**
     * This method sets a mailboxID.
     */ 
    public void setMailboxID(String mailboxID) {
        this.mailboxID = mailboxID;
    }

    /**
     * This method sets a authenticationInfo.
     */ 
    public void setAuthenticationInfo(String authenticationInfo) {
        this.authenticationInfo = authenticationInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof NewMailboxMessageArrivedCriteria)) {
            return false;
        } 
        NewMailboxMessageArrivedCriteria newMailboxMessageArrivedCriteria = (NewMailboxMessageArrivedCriteria) o;
        if ((this.mailboxID != null) && (newMailboxMessageArrivedCriteria.mailboxID != null)) {
            if(!(this.mailboxID.equals(newMailboxMessageArrivedCriteria.mailboxID)))  {
                return false;
            }
        }
        if ((this.authenticationInfo != null) && (newMailboxMessageArrivedCriteria.authenticationInfo != null)) {
            if(!(this.authenticationInfo.equals(newMailboxMessageArrivedCriteria.authenticationInfo)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // NewMailboxMessageArrivedCriteria

