//Source file: Notifications.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a Notifications activity object.<BR>
 *
 */
public interface Notifications extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the MultiMediaMessagingManager responsible for creation of the Notifications.
     *
     * @return  A reference to the MultiMediaMessagingManager responsible for creation of the Notifications.
     */
    org.csapi.jr.se.mmm.MultiMediaMessagingManager getMultiMediaMessagingManager();

    /**
     * Adds a NotificationsListener which is interested in events generated by the Notifications.
     *
     * @param  notificationsListener  A reference to the NotificationsListener which is to be added as
     *        a listener.
     */
    void addNotificationsListener(org.csapi.jr.se.mmm.NotificationsListener notificationsListener);

    /**
     * Removes a NotificationsListener which is no longer interested events generated by the Notifications.
     *
     * @param  notificationsListener  A reference to the NotificationsListener which is to be removed as
     *        a listener.
     */
    void removeNotificationsListener(org.csapi.jr.se.mmm.NotificationsListener notificationsListener);

    /**
     * Invokes the enableNotifications() method on the Parlay Gateway.
     */
    void enableNotifications()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidInterfaceTypeException;
}
