//Source file: QueryStatusReport.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Defines the Sequence of Data Elements that identify the status of a message, as reported in messageStatusReport. If a message is sent to more than one addressee, a different status can apply to the message sent to each addressee.
 * 
 */
public final class QueryStatusReport implements java.io.Serializable {

    private org.csapi.jr.se.Address destinationAddress;
    private int reportedStatus;

    /**
     * Creates a new QueryStatusReport instance.
     */
    public QueryStatusReport () {}

    /**
     * Creates a new QueryStatusReport instance.
     * @param _destinationAddress   
     * @param _reportedStatus   
     */
    public QueryStatusReport (org.csapi.jr.se.Address _destinationAddress, int _reportedStatus) {

        this.destinationAddress = _destinationAddress;
        this.reportedStatus = _reportedStatus;
    }

    /**
     * This method returns a destinationAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getDestinationAddress() {
        return destinationAddress;
    }

    /**
     * This method returns a reportedStatus.
     * 
     * @return a int value
     */
    public int getReportedStatus() {
        return reportedStatus;
    }


    /**
     * This method sets a destinationAddress.
     */ 
    public void setDestinationAddress(org.csapi.jr.se.Address destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    /**
     * This method sets a reportedStatus.
     */ 
    public void setReportedStatus(int reportedStatus) {
        this.reportedStatus = reportedStatus;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof QueryStatusReport)) {
            return false;
        } 
        QueryStatusReport queryStatusReport = (QueryStatusReport) o;
        if ((this.destinationAddress != null) && (queryStatusReport.destinationAddress != null)) {
            if(!(this.destinationAddress.equals(queryStatusReport.destinationAddress))) {
                return false;
            }
        }
        if(!(this.reportedStatus == queryStatusReport.reportedStatus))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // QueryStatusReport

