//Source file: QueryStatusResEvent.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the queryStatusRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class QueryStatusResEvent extends java.util.EventObject {

    /**
     * Constructor for the QueryStatusResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public QueryStatusResEvent(java.lang.Object source,
        org.csapi.jr.se.mmm.QueryStatusReport[] result) {

        super(source);
      this.result = result;
 
    }

    org.csapi.jr.se.mmm.QueryStatusReport[] result;

    /**
     *  This method is used to retrieve the parameter value of 'result' passed up
     *  from the Gateway in it's call to the queryStatusRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'result' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.QueryStatusReport[] getResult() {

        return this.result;
    }
       
}

