//Source file: SendMessageListener.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface is to be implemented for receiving events issued by the SendMessage activity object.<BR>
 *
 */
public interface SendMessageListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the sendMessageRes() method on 
    * the callback interface.
    *
    * @param  sendMessageResEvent  Reference to a SendMessageResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSendMessageResEvent(org.csapi.jr.se.mmm.SendMessageResEvent sendMessageResEvent);


   /**
    * Called due to a Gateway initiated call to the sendMessageErr() method on 
    * the callback interface.
    *
    * @param  sendMessageErrEvent  Reference to a SendMessageErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSendMessageErrEvent(org.csapi.jr.se.mmm.SendMessageErrEvent sendMessageErrEvent);


   /**
    * Called due to a Gateway initiated call to the cancelMessageRes() method on 
    * the callback interface.
    *
    * @param  cancelMessageResEvent  Reference to a CancelMessageResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCancelMessageResEvent(org.csapi.jr.se.mmm.CancelMessageResEvent cancelMessageResEvent);


   /**
    * Called due to a Gateway initiated call to the cancelMessageErr() method on 
    * the callback interface.
    *
    * @param  cancelMessageErrEvent  Reference to a CancelMessageErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCancelMessageErrEvent(org.csapi.jr.se.mmm.CancelMessageErrEvent cancelMessageErrEvent);


   /**
    * Called due to a Gateway initiated call to the queryStatusRes() method on 
    * the callback interface.
    *
    * @param  queryStatusResEvent  Reference to a QueryStatusResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onQueryStatusResEvent(org.csapi.jr.se.mmm.QueryStatusResEvent queryStatusResEvent);


   /**
    * Called due to a Gateway initiated call to the queryStatusErr() method on 
    * the callback interface.
    *
    * @param  queryStatusErrEvent  Reference to a QueryStatusErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onQueryStatusErrEvent(org.csapi.jr.se.mmm.QueryStatusErrEvent queryStatusErrEvent);


   /**
    * Called due to a Gateway initiated call to the messageStatusReport() method on 
    * the callback interface.
    *
    * @param  messageStatusReportEvent  Reference to a MessageStatusReportEvent event 
    *        emmited from the impl or activity object. 
    */
    void onMessageStatusReportEvent(org.csapi.jr.se.mmm.MessageStatusReportEvent messageStatusReportEvent);



}
