//Source file: SendMessageWithNotify.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a SendMessageWithNotify activity object.<BR>
 *
 */
public interface SendMessageWithNotify extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the MultiMediaMessaging responsible for creation of the SendMessageWithNotify.
     *
     * @return  A reference to the MultiMediaMessaging responsible for creation of the SendMessageWithNotify.
     */
    org.csapi.jr.se.mmm.MultiMediaMessaging getMultiMediaMessaging();

    /**
     * Adds a SendMessageWithNotifyListener which is interested in events generated by the SendMessageWithNotify.
     *
     * @param  sendMessageWithNotifyListener  A reference to the SendMessageWithNotifyListener which is to be added as
     *        a listener.
     */
    void addSendMessageWithNotifyListener(org.csapi.jr.se.mmm.SendMessageWithNotifyListener sendMessageWithNotifyListener);

    /**
     * Removes a SendMessageWithNotifyListener which is no longer interested events generated by the SendMessageWithNotify.
     *
     * @param  sendMessageWithNotifyListener  A reference to the SendMessageWithNotifyListener which is to be removed as
     *        a listener.
     */
    void removeSendMessageWithNotifyListener(org.csapi.jr.se.mmm.SendMessageWithNotifyListener sendMessageWithNotifyListener);

    /**
     * Invokes the sendMessageWithNotifyReq() method on the Parlay Gateway.
     */
    void sendMessageWithNotifyReq(
           org.csapi.jr.se.Address sourceAddress,
           org.csapi.jr.se.mmm.TerminatingAddressList destinationAddressList,
           java.lang.String                deliveryType,
           org.csapi.jr.se.mmm.MessageTreatment[] messageTreatment,
           byte[]                          message,
           org.csapi.jr.se.mmm.MessageHeaderField[] additionalHeaders)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidAddressException,
       org.csapi.jr.se.mmm.MmmInvalidDeliveryTypeException,
       org.csapi.jr.se.mmm.MmmMaxMessageSizeExceededException,
       org.csapi.jr.se.mmm.MmmDeliveryTypeAddressTypeMismatchException,
       org.csapi.jr.se.mmm.MmmDeliveryTypeMessageTypeMismatchException,
       org.csapi.jr.se.mmm.MmmInvalidDeliveryTimeException,
       org.csapi.jr.se.mmm.MmmInvalidValidityTimeException,
       org.csapi.jr.se.mmm.MmmMaxSubjectSizeExceededException,
       org.csapi.jr.se.mmm.MmmInvalidHeaderException;
}
