//Source file: SetMessageInfoProperties.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * This interface represents a SetMessageInfoProperties activity object.<BR>
 *
 */
public interface SetMessageInfoProperties extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the Mailbox responsible for creation of the SetMessageInfoProperties.
     *
     * @return  A reference to the Mailbox responsible for creation of the SetMessageInfoProperties.
     */
    org.csapi.jr.se.mmm.Mailbox getMailbox();

    /**
     * Adds a SetMessageInfoPropertiesListener which is interested in events generated by the SetMessageInfoProperties.
     *
     * @param  setMessageInfoPropertiesListener  A reference to the SetMessageInfoPropertiesListener which is to be added as
     *        a listener.
     */
    void addSetMessageInfoPropertiesListener(org.csapi.jr.se.mmm.SetMessageInfoPropertiesListener setMessageInfoPropertiesListener);

    /**
     * Removes a SetMessageInfoPropertiesListener which is no longer interested events generated by the SetMessageInfoProperties.
     *
     * @param  setMessageInfoPropertiesListener  A reference to the SetMessageInfoPropertiesListener which is to be removed as
     *        a listener.
     */
    void removeSetMessageInfoPropertiesListener(org.csapi.jr.se.mmm.SetMessageInfoPropertiesListener setMessageInfoPropertiesListener);

    /**
     * Invokes the setMessageInfoPropertiesReq() method on the Parlay Gateway.
     */
    void setMessageInfoPropertiesReq(
           java.lang.String                messageID,
           org.csapi.jr.se.mmm.MessageInfoProperty[] properties)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.mmm.MmmInvalidMessageIdException,
       org.csapi.jr.se.mmm.MmmInvalidPropertyException;
}
