//Source file: SetMessageInfoPropertiesErrEvent.java
//Date: November 2006
//Multi Media Messaging for for 3GPP TS 29.198-15 V6.4.0

package org.csapi.jr.se.mmm;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the setMessageInfoPropertiesErr() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class SetMessageInfoPropertiesErrEvent extends java.util.EventObject {

    /**
     * Constructor for the SetMessageInfoPropertiesErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SetMessageInfoPropertiesErrEvent(java.lang.Object source,
        java.lang.String                messageID,
        org.csapi.jr.se.mmm.MessageInfoPropertyError[] propertiesNotUpdated) {

        super(source);
      this.messageID = messageID;
      this.propertiesNotUpdated = propertiesNotUpdated;
 
    }

    java.lang.String                messageID;

    /**
     *  This method is used to retrieve the parameter value of 'messageID' passed up
     *  from the Gateway in it's call to the setMessageInfoPropertiesErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageID' used on creation of this event.
     */
    public java.lang.String getMessageID() {

        return this.messageID;
    }
       
    org.csapi.jr.se.mmm.MessageInfoPropertyError[] propertiesNotUpdated;

    /**
     *  This method is used to retrieve the parameter value of 'propertiesNotUpdated' passed up
     *  from the Gateway in it's call to the setMessageInfoPropertiesErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'propertiesNotUpdated' used on creation of this event.
     */
    public org.csapi.jr.se.mmm.MessageInfoPropertyError[] getPropertiesNotUpdated() {

        return this.propertiesNotUpdated;
    }
       
}

